package jp.agentec.abook.abv.bl.acms.client;

import static org.junit.Assert.assertTrue;
import jp.agentec.abook.abv.bl.common.exception.ABVException;
import jp.agentec.abook.abv.bl.common.exception.ABVExceptionCode;

import org.junit.Test;

public class ABVExceptionTest {

	@Test
	public void testToString() {
		Exception c = new Exception("111111111111");
		Exception e = new Exception("sdkfjfhaskdfh", c);
		System.out.println(e.toString());
		System.out.println("\r\n");
		
		
		e.printStackTrace();
		
		
		ABVException e2 = new ABVException(ABVExceptionCode.C_E_SECURITY_1001, "msg", c);
		System.out.println(e2.toString());
		System.out.println("\r\n");
		e2.printStackTrace();
		
		assertTrue(true);
	}
}
